﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine;

public class NextStepsDto
{
    //public string DefinitionId { get; set; }
    //public EInstanceMode InstanceMode { get; set; }
    //public EDynamicPolicy DynamicPolicy { get; set; }
    public IReadOnlyList<NextStepOption> Steps { get; set; }
    public DateTime? ExpiredTime { get; set; }

    /// <summary>
    /// 是否有否决按钮
    /// </summary>
    public bool CanReject { get; set; }

    /// <summary>
    /// 是否支持发起会签
    /// </summary>
    public bool CanStartCountersign { get; set; }

    //public IReadOnlyList<KeyValuePair<int, string>> RealCommunicationModeOptions { get; set; }
    public IReadOnlyList<KeyValuePair<int, string>> TimeTypeOptions { get; set; }
}

public class NextStepOption : Kv
{
    /// <summary>
    /// 是否回到会签发起节点汇总
    /// </summary>
    public bool BackToCountersignEnd { get; set; }

    /// <summary>
    /// 是否需要填写真实办理人信息
    /// </summary>
    public bool InputRealHandler { get; set; }

    /// <summary>
    /// 流转方向
    /// </summary>
    public EFlowDirection? FlowDirection { get; set; }

    public EStepType StepType { get; set; }

    public EBusinessType BusinessType { get; set; }

    public IReadOnlyList<Kv> Items { get; set; }
}

public class GetNextStepItemsDto
{
    public string DefinitionId { get; set; }
    public EInstanceMode InstanceMode { get; set; }
    public EDynamicPolicy DynamicPolicy { get; set; }
    public NextStepOption Step { get; set; }
}